library ieee;
use ieee.std_logic_1164.all;

entity tb_alu_proc is
end tb_alu_proc;

architecture tbpr of tb_alu_proc is
component alu is
  port (a,b: in integer;
        op: in integer range 0 to 3;
        ris: out integer;
        zero,segno: out boolean);
end component;

signal a,b, ris: integer;
signal op: integer range 0 to 3;
signal zero,segno:  boolean;


begin
dut: alu port map (a,b,op,ris,zero,segno);

  a <= 1 after 0 ns, 7 after 20 ns, 20 after 40 ns;
  b <= 2 after 0 ns, 4 after 30 ns, 5 after 60 ns;
  op<= 0 after 0 ns, 1 after 40 ns, 2 after 50 ns, 3 after 70 ns;
  
  
   end tbpr;
    
  
  
  
  
  
  