library ieee;
use ieee.std_logic_1164.all;

entity tb is
end tb;

architecture tbb of tb is
 
component  SRAM is
  port ( addr : in integer range 0 to 255;
         cs,rw,oe: in std_logic;
         din: in std_logic_vector(31 downto 0);
         dout: out std_logic_vector(31 downto 0);
         ready: out std_logic);
end component;

signal addr: integer range 0 to 255;
signal cs,rw,oe,ready: std_logic;
signal din,dout: std_logic_vector(31 downto 0);

begin
  
  dut: SRAM port map (addr,cs,rw,oe,din,dout,ready);
  
  process
    begin
      cs<= '1';
      oe<= '1';
      addr <= 1;
      din <= "00000000000000000000000000101010";
      wait for 2 ns;
      cs <= '0';
      rw <= '0';
      wait for 2 ns;
      oe <= '0';
      wait until ready='1';
      wait for 2 ns;
      cs<= '1';
      oe<= '1';
      addr <= 4;
      din <= "00000000000000000000000110101010";
      wait for 2 ns;
      cs <= '0';
      rw <= '0';
      wait for 2 ns;
      oe <= '0';
      wait until ready='1';
      wait for 2 ns;
      cs<= '1';
      oe<= '1';
      addr <= 1;
      wait for 2 ns;
      cs <= '0';
      rw <= '1';
      wait for 2 ns;
      oe <= '0';
      wait until ready='1';
      wait for 2 ns;
      cs<= '1';
      oe<= '1';
      addr <= 1;
      wait for 2 ns;
      cs <= '0';
      rw <= '1';
      wait for 2 ns;
      oe <= '0';
      wait until ready='1';
      wait for 2 ns;
    end process;
  end tbb;